navit (0.5.6+dfsg.1-1~exp1) experimental; urgency=medium

  [ Joseph Herlant ]
  * Remove myself from Uploaders

  [ Gilles Filippini ]
  * New upstream release
  * Remove patches (fixed upstream):
    - inkscape-1.0.patch
    - multiple-definition-of-map_information_attrs.patch
    - gps.h-api10
  * d/copyright: add missing information

 -- Gilles Filippini <pini@debian.org>  Sat, 27 Mar 2021 08:37:49 +0100

navit (0.5.5+dfsg.1-2) unstable; urgency=medium

  * New patch to support gpsd api 10 (Closes: #979260; thanks to
    Bernd Zeimetz)

 -- Gilles Filippini <pini@debian.org>  Mon, 04 Jan 2021 20:53:51 +0100

navit (0.5.5+dfsg.1-1) unstable; urgency=medium

  * New upstream release
  * Drop patch too_few_args.patch fixed upstream
  * Update patch inkscape-1.0.patch for the new folder navit/textures
  * Fix format error in debian/copyright

 -- Gilles Filippini <pini@debian.org>  Fri, 21 Aug 2020 15:12:09 +0200

navit (0.5.4+dfsg.1-5) unstable; urgency=medium

  * New patch multiple-definition-of-map_information_attrs.patch
    (Closes: #966873)

 -- Gilles Filippini <pini@debian.org>  Wed, 19 Aug 2020 16:41:37 +0200

navit (0.5.4+dfsg.1-4) unstable; urgency=medium

  * New patch inkscape-1.0.patch to fix command line arguments for svg
    to png conversion using inkscape 1.0 (closes: #959609)

 -- Gilles Filippini <pini@debian.org>  Sun, 03 May 2020 19:47:50 +0200

navit (0.5.4+dfsg.1-3) unstable; urgency=medium

  * Use compiler flag '-DNDEBUG' to workaround an assertion failure in
    maptool (closes: #949780)

 -- Gilles Filippini <pini@debian.org>  Fri, 24 Apr 2020 19:03:23 +0200

navit (0.5.4+dfsg.1-2) unstable; urgency=medium

  * Drop dependency on librsgv2-bin and switch to inkscape (Closes: #949484)
  * Disable pedestrian plugin as not entirely tested and supported upstream
  * Bump standards to 4.5.0, no further change needed

 -- Joseph Herlant <aerostitch@debian.org>  Tue, 21 Jan 2020 21:33:00 -0800

navit (0.5.4+dfsg.1-1) unstable; urgency=medium

  * New upstream version 0.5.4+dfsg.1 (closes: #948388, #949214)
  * Drop gpsd-7 patch integrated upstream
  * Add patch to fix a build failure due to changes in the pedestrian plugin
  * d/rules: Explicitly disable QT, to fix FTBFS when qtbase5-dev is installed.
    Thanks to Bernhard Übelacker for the fix
  * d/control:
    * add missing build dependencies:
      * protobuf-c-compiler
      * libprotobuf-c-dev
    * move homepage from the deprecated wiki to the new site
    * bump standards to 4.4.1 and debhelper to 12
    * add missing Rules-Requires-Root field
  * d/copyright: simplify and update the copyright files
  * Override lintian library-not-linked-against-libc tag for speech_dispatcher
    as not using any libc flag

 -- Joseph Herlant <aerostitch@debian.org>  Sun, 19 Jan 2020 11:49:33 -0800

navit (0.5.3+dfsg.1-2) unstable; urgency=medium

  * New patch gpsd-7.patch to support the new gps_read implementation
    starting from gpsd GPSD_API_MAJOR_VERSION 7 (closes: #926522)

 -- Gilles Filippini <pini@debian.org>  Mon, 12 Aug 2019 12:36:32 +0200

navit (0.5.3+dfsg.1-1) unstable; urgency=low

  * New upstream version 0.5.3+dfsg.1

  * Remove LIBDIR patch integrated by upstream in this version
  * Refresh patches

  * d/control: bump standards to 4.2.1

  * d/watch: Add the .1 usually used with this package to the dfsg suffix
  * Add signature for signed releases
  * Add information in d/u/metadata using DEP-12

 -- Joseph Herlant <herlantj@gmail.com>  Sat, 01 Sep 2018 00:39:56 -0700

navit (0.5.1+dfsg.1-2) unstable; urgency=low

  * d/control: maptool only builds on 64bit architectures now

 -- Joseph Herlant <herlantj@gmail.com>  Sun, 08 Jul 2018 17:30:09 -0700

navit (0.5.1+dfsg.1-1) unstable; urgency=low

  * New upstream version 0.5.1+dfsg.1
  * Remove non-DFSG file navit/support/win32/ConvertUTF.c
  * d/watch: update watchfile to pull the releases from github

  * remove "fix-cmake" patch integrated upstream
  * Remove "icons-dir" patch fixed upstream
  * Remove "avoid-openssl-support" patch as not needed anymore
  * Remove patch "osd_get_attr-undefined": the call is implemented now
  * Refresh patches
  * Add patch for LIBDIR that has been broken after last upload
  * Update installation paths
  * d/rules: enable hardening flags
  * d/rules: update the location of the image used to build the xpm
  * Fix debian-rules-uses-unnecessary-dh-argument

  * Move menu category from Applications/Science/Geoscience to
    Applications/Network/Communication (Closes: #521825)

  * d/control, d/compat: bump standards to 4.1.4 and compat to 11 with it
  * d/control: update Vcs-* fields after the migration to Salsa
  * d/control: add myself as co-maintainer
  * d/control: fix priority-extra-is-replaced-by-priority-optional
  * d/copyright: Fix insecure-copyright-format-uri
  * d/copyright: update paths and fix lintian complains
  * d/changelog: fix remove trailing whitespaces for lintian
  * running wrap-n-sort

 -- Joseph Herlant <herlantj@gmail.com>  Sat, 02 Jun 2018 18:28:26 -0700

navit (0.5.0+dfsg.1-2) unstable; urgency=medium

  *  Disable OpenSSL usage because of missing related GPL exception
     (closes: #857199)

 -- Gilles Filippini <pini@debian.org>  Sun, 19 Mar 2017 23:00:12 +0100

navit (0.5.0+dfsg.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch maptool-uninitialised-values.patch (fixed upstream).
  * Refresh patches.

  * Drop Qt support (unmaintained and barely usable; closes: #784500).

  * Set upstream home page to the main wiki page.
    http://www.navit-project.org is unmaintained (see upstream trac
    ticket #1326).

 -- Gilles Filippini <pini@debian.org>  Sun, 03 Jan 2016 15:34:05 +0100

navit (0.5.0~+rc2+dfsg.1-1) unstable; urgency=medium

  * New upstream release (closes: #795051).
  * Upstream VCS moved from Sourceforge SVN to Github (see
    debian/README.source).
  * Set upstream homepage to http://www.navit-project.org.

 -- Gilles Filippini <pini@debian.org>  Sun, 01 Nov 2015 17:06:49 +0100

navit (0.5.0~svn6128+dfsg.1-1) unstable; urgency=medium

  * New upstream snapshot:
    + New j1850 plugin: allows Navit to read CAN-BUS datas in some cars
      using this protocol.
    + Major improvements of maneuver announcements (what and when).
    + New maneuvers (U turn, keep left/right, highway merge/exit).
    + Announce names and numbers of highway exits and interchanges.
    + New translations and massive translation update from launchpad.
    + bug fixes.
  * Drop patch support-speech-dispatcher-0.8.patch not needed anymore.
  * Update d/copyright.
  * Update d/README.*.

  * d/rules: enable parallel build.
  * d/control: bump Standards-Version to 3.9.6 (no change).

 -- Gilles Filippini <pini@debian.org>  Mon, 20 Jul 2015 23:43:29 +0200

navit (0.5.0~svn5900+dfsg.1-1) unstable; urgency=medium

  * New upstream snapshot:
    + Improved large file support.
    + Improved house number interpolation.
    + gui/gtk: new POI search dialog.
    + New translations and massive translation update from launchpad.
    + bug fixes
  * Drop patch freetype-include-path.patch (fixed upstream).

 -- Gilles Filippini <pini@debian.org>  Mon, 29 Sep 2014 15:33:16 +0200

navit (0.5.0~svn5740+dfsg.1-2) unstable; urgency=medium

  * New patch: support-speech-dispatcher-0.8.patch (closes: #739210):
    Support speech-dispatcher >= 0.8 for which upstream decided to
    move include files to /usr/include/speech-dispatcher/.
  * debian/rules: force speech-dispatcher support.

 -- Gilles Filippini <pini@debian.org>  Sun, 16 Feb 2014 23:54:06 +0100

navit (0.5.0~svn5740+dfsg.1-1) unstable; urgency=medium

  * New upstream snapshot:
    + fr and ca translations update.

  * d/control: drop Build-Depends on libdevil-dev (closes: #736543).

 -- Gilles Filippini <pini@debian.org>  Sat, 25 Jan 2014 10:57:41 +0100

navit (0.5.0~svn5738+dfsg.1-1) unstable; urgency=medium

  * New upstream snapshot:
    + gui_internal:
      - Add menu entry for coordinate input
      - Move Quit to top level
    + Many translations update
    + Bug fixes.

  * New patch freetype-include-path.patch to handle the new freetype
    headers location starting with its 2.5 release (closes: #733378).
  * Refresh patches:
    + icons-dir
    + maptool-uninitialised-values.patch

  * Bump Standards-Version to 3.9.5 (no changes needed).

 -- Gilles Filippini <pini@debian.org>  Mon, 30 Dec 2013 20:28:07 +0100

navit (0.5.0~svn5643+dfsg.1-1) unstable; urgency=low

  * New upstream snapshot:
    + Require libgps >= 3.1
    + Fix many compiler warnings and memleaks
  * Drop patch lc_all.patch (no needed anymore; closes: #723046)

  * Remove patches (applied or fixed upstream):
    + format-not-a-string-literal-and-no-format-arguments.patch
    + valgrind-transform.patch
    + lc_all.patch (closes: #723046)
  * Refresh patches:
    + fix-cmake.patch
    + icons-dir
    + maptool-uninitialised-values.patch

  * debian/control:
    + Fix Vcs fields
    + Versionned build depends to libgps-dev (>= 3.1)
    + Replace ttf-liberation with fonts-liberation (name change)
    + Bump Standards-Version to 3.9.4 (no change needed)

 -- Gilles Filippini <pini@debian.org>  Sat, 28 Sep 2013 14:32:26 +0200

navit (0.5.0~svn5530+dfsg.1-1) unstable; urgency=low

  * New upstream snapshot:
    + gui_internal:
      - Select cyrillian keyboard for cyrillic languages
      - In town and street search dialogs, select default keyboard after
        the selected country instead of the interface language
      - Include street name in recent destination items based on house
        numbers
      - Improve house number search
      - Show POI distances to route if there is an active route
    + gui_gtk:
      - Add context menu item "Visit before a destination"
    + maptool:
      - Improvements related to borders conversion
    + navit.xml:
      - New script tag to attach scripts to objects

  * New patch
    + format-not-a-string-literal-and-no-format-arguments.patch
      named after the couple of compilation errors it fixes
  * Refresh patches
    + icons-dir
    + maptool-uninitialised-values.patch
    + valgrind-transform.patch

 -- Gilles Filippini <pini@debian.org>  Sun, 02 Jun 2013 17:43:02 +0200

navit (0.5.0~svn5419+dfsg.1-1) experimental; urgency=low

  * New upstream snapshot:
    + gui_internal:
      - New scripted layout setting
      - New map configuration page
      - New vehicle configuration page
      - Select point by coordinates (Closes: #534767)
      - Enhanced waypoints management
      - Display state and municipality names in town search
      - New command img for easier creation of buttons from script
      - Option to specify font size in html-like description
    + Add control structure statements to script interpreter
    + New button to bring the map view back to current position
    + New option to configure multiple maps with similar attributes with
      one tag
    + New vehicleprofile options to reduce the number of vehicle profiles
    + Improved pedestrian profile
    + New bicycle related POIs
    + Some new svg icons
    + Fix german and spanish translations
    + No more debugging output at level 0
    + New command line option '-d' to override the global debug level
      in navit.xml
    + Don't crash when setting destination with no vehicle profile selected
    + Configurable cache size
    + maptool:
      - Improvements to speed up town search
    + Many bugs and memleaks fixed (Closes: #690809)

  * Drop patches (fixed or integrated upstream):
    + mapitems.patch
    + qt-cmake.patch
    + qt-qpainter-missing-symbol.patch
    + taking-address-of-temporary-array.patch
    + keep-null-gps-vehicle.patch
    + check-empty-dest-map.patch

  * New patch
    + osd_get_attr-undefined.patch: disable undefined symbol _osd_get_attr
      in DBus binding

  * Refresh patches
    + fix-cmake.patch
    + icons-dir
    + lc_all.patch
    + maptool-uninitialised-values.patch
    + valgrind-transform.patch

 -- Gilles Filippini <pini@debian.org>  Sun, 24 Mar 2013 13:14:02 +0100

navit (0.5.0~svn5126+dfsg.1-3) unstable; urgency=low

  * New patches:
    + maptool-uninitialised-values.patch:
      Fix segfault in maptool due to uninitialised values (Closes: #682553)
    + keep-null-gps-vehicle.patch:
      Don't deactivate Null GPS vehicle when position is set manually
      (fix a segfault)
    + check-empty-dest-map.patch:
      Don't remove previous destination when there is none (Closes: #703110)

 -- Gilles Filippini <pini@debian.org>  Sun, 17 Mar 2013 17:49:06 +0100

navit (0.5.0~svn5126+dfsg.1-2) unstable; urgency=low

  * d/rules:
    + add cmake flag "-DLIBDIR=lib" to prevent installing into lib64 for
      64 bits architectures (fix FTBFS)

 -- Gilles Filippini <pini@debian.org>  Sat, 09 Jun 2012 22:11:14 +0200

navit (0.5.0~svn5126+dfsg.1-1) unstable; urgency=low

  * New upstream snapshot:
    + gui_internal:
      - Enhanced waypoints handling
      - Enhanced vehicle profiles handling
      - Made menu page that appears on map click configurable
    + Update german and french translations
  * d/README.source: Update list of removed files from upstream-svn
  * d/copyright: Update copyright for new files

  * Remove dfsg-incompatible icons from upstream source tree:
    + navit/xpm/repair_service.svg
    + navit/xpm/resort.svg
    + navit/xpm/shop_grocery.svg

  * New patches:
    + mapitems.patch: Insert and delete waypoints, from upstream ticket
      #1040
    + taking-address-of-temporary-array.patch: Fix FTBFS with g++ error
      "taking address of temporary array" (Closes: #676006)

  * d/rules: Force Qt libs path when cross-compiling

 -- Gilles Filippini <pini@debian.org>  Sat, 09 Jun 2012 16:09:02 +0200

navit (0.5.0~svn4954+dfsg.1-1) unstable; urgency=low

  * New upstream snapshot:
    + Footway names visible and searcheable in Town submenu
    + gui_internal:
      . Alphabetical ordering of search results
      . Made tables scrollable by dragging lines vertically
      . Paging of table widgets with gesture left-to-right and right-to-left
      . Show icons in POI lists
    + vehicle_file: option to save current gps position on shutdown and
      resume from there on startup
    + New "global" debug level (option -d)
    + Debugging examples added to the default navit.xml
    + Updated Spanish translation

  * New patch:
    + qt-qpainter-missing-symbol.patch: fix uncomplete .moc file
      (Closes: #658899)

  * Bump Standards-Version to 3.9.3:
    + Update the field in debian/control
    + Update debian/copyright to version 1.0 of the Machine-readable
      `debian/copyright' specification.
  * debian/rules:
    + Override dh_auto_install instead of dh_install

 -- Gilles Filippini <pini@debian.org>  Thu, 08 Mar 2012 21:46:22 +0100

navit (0.5.0~svn4909+dfsg.1-1) unstable; urgency=low

  * New upstream snapshot:
    + GUI Internal:
      . Former destinations list
      . Support for saving GUI settings
      . Made search result lists pageable when onscreen keyboard is hidden
    + GUI GTK:
      . Menu accelerators
    + New profile to calculate shortest car route
  * Drop patches:
    + manpage-minus-signs.patch: applied upstream
    + search_trick: not needed anymore (search result lists now pageable)
  * Update patch fix-cmake.patch: partially applied upstream
  * Refresh patches:
    + icons-dir
    + qt-cmake.patch
  * debian/README.source: acknowledge removal of navit/binding/win32 from
    upstream tarball

  * debian/rules: s/GNU_TYPE/MULTIARCH/g

 -- Gilles Filippini <pini@debian.org>  Mon, 30 Jan 2012 21:46:45 +0100

navit (0.5.0~svn4776+dfsg.1-3) unstable; urgency=low

  * Fix cross-building navit-graphics-qt-qpainter:
    + d/rules:
      . Use cross g++ instead of the native one.
      . Set CXXFLAGS with target include paths
      . Force include path /usr/$(DEB_HOST_MULTIARCH)/include/qt4
      . define CMAKE_LIBRARY_PATH="/usr/$(DEB_HOST_GNU_TYPE)/lib"
    + d/control:
      . Build-Depends: libqtwebkit-dev
  * cross-building for armel tested on i386 and amd64

  * d/navit-data.menu: icon file specified with its full path
    (Closes: #645954)

 -- Gilles Filippini <pini@debian.org>  Sun, 30 Oct 2011 12:14:24 +0100

navit (0.5.0~svn4776+dfsg.1-2) unstable; urgency=low

  * Cross compilation support
  * New patch:
    + dpkg-cross.patch: when cross-building, force using the native compiler
      to build the navit/map/garmin/gentypes build-time tool

 -- Gilles Filippini <pini@debian.org>  Sun, 23 Oct 2011 18:52:32 +0200

navit (0.5.0~svn4776+dfsg.1-1) unstable; urgency=low

  * New upstream snapshot:
    + Configurable position extrapolation in tunnels
    + Downloading of map data may be allowed or disallowed at runtime
    + New command line parameters to specify a sequence of commands at startup
    + New car profile to avoid toll roads
    + gui_internal: POI Search by name
    + Some new SVG icons from openclipart.org
    + maptool:
      - Huge restructuration
      - Experimental o5m format support
      - Make adding of unknown country towns an option to avoid bloated index
      - Support for boundary relations
      - Improved coast line handling
      - Experimental support for adding county and municipality information
    + Many other fixes and ehancements

  * Removed patch:
    + gui-gtk-quit.patch: fixed upstream
  * New patches:
    + valgrind-transform.patch: fix a read error reported by valgrind
    + qt-cmake.patch: fixes cmake Qt4 detection (Closes: #634522)
    + manpage-minus-signs.patch: escape minus signs in maptool's manpage
  * Updated patch:
    + fix-cmake.patch:
      - force generating dbus config file org.navit_project.navit.service
      - add CMakeLists.txt for navit/vehicle/null
  * debian/rules:
    + Force vehicle/null, vehicle/demo and vehicle/gpsd
    + Don't overwrite flags set by dpkg-builflags (Closes: #634918)
    + Minor cleanups and typos
  * debian/control:
    + Drop Build-Depends on libhildon-1-dev (not needed)
    + navit-graphics-gtk-drawing-area: Depends librsvg2-common to have
      the gdk-pixbuf for svg images
  * debian/README.source:
    + Updated removed parts list
  * Add .gitignore and extend-diff-ignore for anjuta project files so
    they're not included into the source package

 -- Gilles Filippini <pini@debian.org>  Mon, 19 Sep 2011 08:29:27 +0200

navit (0.5.0~svn4494+dfsg.1-1) unstable; urgency=low

  * New upstream snapshot:
    + Minor fixes

  * New patch lc_all.patch: when LC_ALL is set, unset it and set LANG
    instead to prevent incorrect GPS position computations
    (closes: #625949)
  * New patch gui-gtk-quit.patch: preperly handle the quit command with
    gui/gtk
  * Reworked patch fix-cmake.patch: mostly applied upstream but a few
    glitches remain to fix (closes: #626784)

 -- Gilles Filippini <pini@debian.org>  Sun, 22 May 2011 10:49:03 +0200

navit (0.5.0~svn4423+dfsg.1-1) unstable; urgency=low

  * New upstream snapshot:
    + Improved cmake support
    + New CSV map plugin to record POI and speed camera locations
    + Support for speed camera from OSM data and CSV map files
    + Support downloding maps from withing Navit (binfile format)
    + Configurable key bindings for OSDs
    + OSD odometer and stopwatch
    + Protobuf database support for maptool
    + Imperial units support
    + Many other improvements and bug fixes

  * debian/copyright:
    + Update to DEP5 rev173
    + Add new license paragraphs for:
      - navit/browserplugin.c (MPL-1.1 or GPL-2+ or LGPL-2.1+)
      - navit/maptool/google/protobuf-c/protobuf-c* (Apache-2.0)
  * debian/control:
    + Set Architecture to any for the navit binary package: navit is supposed
      to support bigendian since 06/2009 (closes: #623238)
    + Fix navit and navit-data descriptions to state that the
      package doesn't provide any map (closes: #603378)
    + Bump Standards-Version to 3.9.2 (no change needed)
    + Drop Build-Depends on autotools in favor of cmake
  * debian/rules:
    + Now use the cmake build system
  * New patches:
    + fix-cmake.patch: various fixes and workarounds to build successfully
      with cmake
    + icons-dir: installs icons into /usr/share/navit/icons instead of
      /usr/share/navit/xpm
  * Remove patches not needed anymore with cmake:
    + remove-espeak
    + remove-ezxml
    + remove-glib
    + remove-libpng
    + remove-mini-libc
    + remove-support
    + remove-ttf-liberation
    + remove-win32
    + remove-wordexp
    + remove-zlib
  * debian/rules, debian/control, debian/navit-gui-qml.install:
    ground work to enable the QML plugin (not enabled in this build)

  * Migrate to source format 3.0 (quilt)

 -- Gilles Filippini <pini@debian.org>  Tue, 03 May 2011 00:14:36 +0200

navit (0.2.0+dfsg.1-1) unstable; urgency=low

  * New upstream Release (closes: #610531):
    + Support for loading itineraries from destination.txt
    + Support for writing destinations with multiple coordinates
    + Initial support for waypoint routing
    + Functional opengl and sdl graphic plugins (disabled for now)
    + Initial support for the CMake build system (not used in this build)
    + Better POI search
    + New truck profile
    + New Layout Car-simple
    + Cyrillic support
    + New translations: Australian English, Javanese, Basque, Tamil and Urdu
    + Many bug fixes

  * debian/rules: removed DEB_BUILD_OPTIONS handling as it is now handled
    through dpkg-buildflags
  * debian/control:
    + dropped osm2navit dummy transitional package for squeeze+1

 -- Gilles Filippini <pini@debian.org>  Fri, 28 Jan 2011 23:29:11 +0100

navit (0.2.0~svn3501+dfsg.1-1) unstable; urgency=low

  * New upstream snapshot:
    + Support for autoloaded plugins
    + Many memory leaks fixed
  * Refresh patches

  * New patch path_max to try fixing the FTBFS on hurd-i386.

  * debian/control: bumped Standards-Version to 3.9.1 (no change needed)

 -- Gilles Filippini <pini@debian.org>  Tue, 27 Jul 2010 22:36:40 +0200

navit (0.2.0~svn3255+dfsg.1-3) unstable; urgency=low

  * Fix yet another FTBFS occuring on some archs while moving navit.xml
    to the target /etc/navit dir.

 -- Gilles Filippini <pini@debian.org>  Tue, 18 May 2010 18:00:10 +0200

navit (0.2.0~svn3255+dfsg.1-2) unstable; urgency=low

  * Fix FTBFS when building only arch-dependent binary packages.

 -- Gilles Filippini <pini@debian.org>  Mon, 17 May 2010 23:25:27 +0200

navit (0.2.0~svn3255+dfsg.1-1) unstable; urgency=low

  * New upstream snapshot:
    + New QML GUI (work in progress; currently disabled)
    + Enhanced bookmark management
    + Many bug fixes, including:
      - force JSON gpsd responses (closes: #573855)
  * Removed patches:
    + fixed upstream:
      - distclean_graphics_qt_qpainter
      - pedestrian-without-android
  * Refreshed patches:
    + remove-win32
  * New patch:
    + search_trick: when searching for a town, a '?' at the end of the
      search string means "search exact matches only"

  * debian/source/format: 1.0
  * debian/rules: switched to the dh sequencer
  * debian/control:
    + Build-Depends: autopoint (Closes: #572476)
    + Bumped the versioned Build-Depends on debhelper to (>= 7.0.50~)
      as requested by using the dh sequencer
    + Versioned Build-Depends on quilt (see #548094)

 -- Gilles Filippini <pini@debian.org>  Sun, 16 May 2010 23:44:28 +0200

navit (0.2.0~svn2974+dfsg.1-1) unstable; urgency=low

  * New upstream snapshot:
    + new speech bus interface
    + new vehicle maemo (support for Maemo/Fremantle liblocation API)
    + new plugin for pedestrian navigation
    + new about dialog
    + new osd button for recording a description in a track point in the
      GPX log file
    + new command to say something (say)
    + new command to set destination (set_destination)
    + "Stop navigation" button now available during route calculation
  * Removed patches:
    + applied upstream:
      - libgps-2.90-fix
      - mg-unhandled-attr
      - spelling
    + fixed upstream:
      - revert-part-of-svn2859
      - no-default-poi-geodownload
      - remove-libmdb.diff
  * New patches:
    + pedestrian-without-android: allow the plugin pedestrian to compile
      without android support
  * debian/control: bumped Standards-Version to 3.8.4 (no change needed)
  * debian/copyright: bumped copyrights to 2010.

 -- Gilles Filippini <pini@debian.org>  Mon, 01 Mar 2010 22:08:24 +0100

navit (0.2.0~svn2897+dfsg.1-1) unstable; urgency=low

  * New upstream snapshot:
    + graphics_gd:
      - support for resizing
      - allow mouse move simulation
    + massive translations update
    + new osd scale for displaying map scale
    + bug fixes (Closes: #562591)

  * Updated patch libgps-2.90-fix to cope both with libgps18 and libgps19
  * debian/control:
    + drop the versionned Build-Depends to libgps-dev
    + add ${misc:Depends} where missing
  * debian/patches/mg-unhandled-attr: since more than one or two attributes
    are missing, handle them the same way than in the garmin plugin: remove
    the assert() and log a debug message
  * new patch:
    * spelling: fixes spelling errors reported by lintian

 -- Gilles Filippini <pini@debian.org>  Mon, 11 Jan 2010 17:52:48 +0100

navit (0.2.0~svn2865+dfsg.1-1) unstable; urgency=low

  [ Gilles Filippini ]
  * New upstream snapshot:
    + Default GUI switched to gui_internal
    + gui_internal:
      - Configurable menus
      - New "back" command
      - Select bookmark by name
      - Keyboard highlighting configurable
      - Switch to numeric keyboard for house numbers
      - Improved OSD keyboard
    + binding/dbus: add GUI bindings
    + New vehicle type gpsd_dbus
    + Improved searching
  * debian/control:
    + Update Maintainer with my new address @debian.org
    + Remove DM-Upload-Allowed (no more needed)
  * Remove patch default_to_gui_internal (no more needed)
  * Update patches:
    + remove-ttf-liberation
    + remove-support
  * New patches:
    + mg-unhandled-attr: [MG] workaround unhandled attributes introduced
      by svn2827 and svn2844.
    + revert-part-of-svn2859: revert part of svn2859 which leads to a null
      pointer error.

  [ Bernd Zeimetz ]
  * Add a patch to support the new libgps (>= 2.90)
    - Also bump the build-dependency on libgps-dev for that.
    - Closes: #560253

 -- Gilles Filippini <pini@debian.org>  Fri, 18 Dec 2009 22:48:27 +0100

navit (0.2.0~svn2755+dfsg.1-1) unstable; urgency=low

  [ Gilles Filippini ]
  * New upstream snapshot:
    + Make osm2navit more modular and renamed to maptool
    + Experimental support for Contraction Hierarchies routing
    + New map type filter to filter other maps
    + Map attributes are now setable
    + New vehicle type: null
    + Support for automatic day night switching
    + gui_internal: new tool to show locale configuration
    + Update python and dbus APIs
    + navit.xml cleanup
    + Translations update
    + Bug fixes
  * debian/control:
    + Handle transition from osm2navit to maptool
  * Rename and update debian/osm2navit.* to debian/maptool.*
  * Remove patch mg-mmap (applied upstream)

  [ Bernd Zeimetz ]
  * Remove myself from uploaders.

 -- Gilles Filippini <gilles.filippini@free.fr>  Mon, 16 Nov 2009 16:13:00 +0100

navit (0.2.0~svn2663+dfsg.1-1) unstable; urgency=low

  * New upstream snapshot:
    + Vehicle profile switch
    + Better handling of turn restrictions
    + Big endian patch
    + Accented characters on internal keyboard
    + Updated translations
    + Bug fixes
  * Remove new android port from upstream source
  * Remove new embedded libpng from upstream source
  * Remove new embedded libespeak from upstream source
  * Remove patches (applied upstream):
    + moc_location
    + endianness
  * New patches:
    + remove-libpng: adapt to embedded libpng removal
    + remove-espeak: adapt to embedded libespeak removal
    + remove-support: no more need for a Makefile in navit/support
    + mg-mmap: fix a significant memory link in mmap handling leading to a
      segfault
  * Update patches:
    + default_to_gui_internal
    + distclean_graphics_qt_qpainter
    + remove-ezxml
    + remove-glib
    + remove-libmdb.diff
    + remove-mini-libc
    + remove-win32
    + remove-wordexp
    + remove-zlib
  * debian/rules:
    + Closes: 542284:
      - Drop support for map/poi_geodownload: while this plugin could still be
        used for MG POI files, there isn't any instruction about how to
        configure it. BTW it has been reported to be quite slow.
      - Drop support for binding/python: there isn't any piece of information
        about the status / usage of this plugin.
      - Remove unused .la files from plugins.
  * debian/control:
    + Standards-Version: bump to 3.8.3 (no change needed)
    + Build-Depends:
      - replace deprecated glutg3-dev with freeglut3-dev
        (Closes: #543699).
      - drop mdbtools-dev
      - drop python-dev
  * debian/README.source:
    + Acknowledge android port and libpng removals from upstream source
    + Remove versionning issue since it isn't needed anymore
    + Remove endianness from TO-DOs

 -- Gilles Filippini <gilles.filippini@free.fr>  Mon, 12 Oct 2009 23:00:14 +0200

navit (0.1.1.0+dfsg.1-2) unstable; urgency=low

  * debian/control: s/QT/Qt/g (Closes: 534783)
  * debian/patches/endianness: improve and test the patch on a Debian
    sparc box with MG maps

 -- Gilles Filippini <gilles.filippini@free.fr>  Sun, 28 Jun 2009 22:08:14 +0200

navit (0.1.1.0+dfsg.1-1) unstable; urgency=low

  [ Gilles Filippini ]
  * New upstream release:
    + Release 0.1.1 = upstream svn2349
    + Routing optionally asynchronous
    + Housenumber search
    + Experimental support for turn restrictions
    + Experimental support for traffic distortions
    + Support for map editing
    + Bug fixes
  * Remove patches (applied upstream):
    + gui_internal_no_gtk2
  * Activate libgarmin support
  * debian/copyright:
    + Add missing copyright statement for files navit/map/garmin/*
  * New patch:
    + default_to_gui_internal: configure gui-internal as the default in
      navit.xml
  * debian/README.source: refresh
  * Change versionning from 0.1.1.~svn to 0.1.1.0~svn to ease tagging via
    git-buildpackage
  * Add a generated 32x32 xpm icon for Debian menu (Closes: #532374)
  * debian/control:
    + Build-Depends on imagemagick to generate the aforementionned xpm icon
    + Navit target architecture limited to little-endians since mg plugin
      isn't big-endian compatible yet
    + Bump Standards-Version to 3.8.2 (no change needed)
  * debian/navit-data.menu:
    + Move navit Debian menu into the navit-data package
    + Quote the icon field
  * Upload to unstable

  [ Bernd Zeimetz ]
  * Set DM-Upload-Allowed: yes for Gilles Filippini.

 -- Gilles Filippini <gilles.filippini@free.fr>  Tue, 23 Jun 2009 13:30:05 +0200

navit (0.1.1.~svn2246-1) experimental; urgency=low

  [ Gilles Filippini ]
  * New upstream snapshot:
    + Add horse and pedestrian vehicle profiles
    + Enhance routing
    + Remove deprecated graphics: cogl
    + Fix typo in configure.in (Closes: #521815)
    + Fix many compilation warnings
  * debian/rules:
    + Enable python binding
    + --enable-avoid-float [armel] (Closes: #521809)
    + Replace deprecated --disable-gypsy with --disable-vehicle-gypsy
      (Closes: #521812)
    + Force using rsvg-convert for svg2png conversions
    + Remove unneeded ltmain.sh copy statement
    + Remove no more needed navit/graphics/cogl cleansing
  * debian/control:
    + Build-Depends:
      - python-dev
      - remove inkscape | kdebase-runtime | kdelibs4-dev to leave
        librsvg2-bin only
  * Refresh patches: mg-alignment, remove-*
  * Remove patches (applied upstream):
    + clean_pngs
    + mg-alignment
  * New patches:
    + endianness: to support big-endian architectures.
    + moc_location: force qt4 moc use when qt3 moc is in the way (thanks bzed).
    + distclean_graphics_qt_qpainter: handle graphics_qt_qpainter.moc removal
      during distclean.
    + gui_internal_no_gtk2: remove gtk2 dependency to gui_internal.

  [ Bernd Zeimetz ]
  * debian/copyright:
     -Adding missing copyright informations for files in navit/map/shapefile.

 -- Gilles Filippini <gilles.filippini@free.fr>  Sun, 03 May 2009 10:30:39 +0200

navit (0.1.1.~svn2111-1) experimental; urgency=low

  * New upstream snapshot:
    + Remove deprecated guis: clutter, cegui, directfb.
    + Remove deprecated graphics: directfb.
  * Removed patch:
    + remove-ttf-dejavu (deprecated).
  * debian/rules: remove deprecated configure flags.
  * debian/README.source: remove deprecated notes.
  * debian/control: bumped policy to 3.8.1 (no change needed).

 -- Gilles Filippini <gilles.filippini@free.fr>  Thu, 12 Mar 2009 23:04:19 +0100

navit (0.1.1.~svn2086-1) experimental; urgency=low

  * New upstream snapshot.
  * Refresh patches.
  * debian/copyright: remove copyrigths about removed files.

 -- Gilles Filippini <gilles.filippini@free.fr>  Sun, 08 Mar 2009 22:37:45 +0100

navit (0.1.1.~svn2077-1) experimental; urgency=low

  [ Gilles Filippini ]
  * New upstream snapshot, first upload to Debian (Closes: #451561).
  * debian/control:
    + Prevent recursive dependency. Plugin packages should recommend navit
      instead of depend.
    + Solved lintian error not-binnmuable-any-depends-any
  * Removed patch hyphen-used-as-minus-sign (applied upstream)
  * debian/changelog: targeting experimental

  [ Bernd Zeimetz ]
  * debian/rules:
    - Remove .deps and .libs directories in clean target.

 -- Gilles Filippini <gilles.filippini@free.fr>  Wed, 04 Mar 2009 13:33:58 +0100

navit (0.1.1.~svn2076-3) unstable; urgency=low

  * Renamed graphics plugin packages: graphic -> graphics.

 -- Gilles Filippini <gilles.filippini@free.fr>  Mon, 02 Mar 2009 21:13:18 +0100

navit (0.1.1.~svn2076-2) unstable; urgency=low

  * Dropped graphic plugins gd and sdl: they are currently broken at run-time.
  * One binary package per gui and grphic plugin.

 -- Gilles Filippini <gilles.filippini@free.fr>  Mon, 02 Mar 2009 14:30:06 +0100

navit (0.1.1.~svn2076-1) unstable; urgency=low

  * New upstream snapshot
  * Reverted mg-alignment patch to the very strict minimum (tested on armel
    with "echo 4 > proc/cpu/alignment").

 -- Gilles Filippini <gilles.filippini@free.fr>  Sun, 01 Mar 2009 23:05:42 +0100

navit (0.1.1.~svn2067-2) unstable; urgency=low

  * New patch:
    + mg-alignment: alignement fix for the MG plugin.

 -- Gilles Filippini <gilles.filippini@free.fr>  Tue, 24 Feb 2009 00:43:20 +0100

navit (0.1.1.~svn2067-1) unstable; urgency=low

  * New upstream snapshot
  * Lintian clean:
    + debian/watch (new)
    + debian/patches/*: added a comment header
    + debian/control:
      - Build-Depends: debhelper (>= 0.7)
    + new patch hyphen-used-as-minus-sign to escape minus signs in
      man/osm2navit.1
    + debian/navit.docs: removed ChangeLog (not a real one)
  * debian/README.source: updated

 -- Gilles Filippini <gilles.filippini@free.fr>  Mon, 23 Feb 2009 15:12:10 +0100

navit (0.1.1.~svn2062-2) unstable; urgency=low

  * Removed navit init.d script which issued 'echo 2 > /proc/cpu/alignment'
    at boot time on ARM processors: the code with broken alignment has to be
    fixed.
  * Moved osm2navit to its own binary package.
  * Reworked debian/ files to let dh do its work when possible.

 -- Gilles Filippini <gilles.filippini@free.fr>  Mon, 23 Feb 2009 01:18:27 +0100

navit (0.1.1.~svn2062-1) unstable; urgency=low

  [ Gilles Filippini ]
  * Removed from upstream tree (not used):
    + navit/graphics/win32/*
    + navit/gui/cegui/datafiles/fonts/*
    + navit/gui/win32/*
    + navit/script/*
    + navit/support/*
    + navit/tools/*
  * New patches:
    + remove-ezxml
    + remove-zlib
    + remove-win32
    + remove-wordexp
    + remove-ttf-dejavu
  * debian/copyright:
    + Acknowledge bzed copyright for 2009
  * debian/README.source
    + Updated TO-DO and ISSUES accordingly
    + Acknowledged navit trac ticket #303
  * debian/rules:
    + Backported part of my cdbs debian/rules file
    + The menu file is handled by debhelper
    + Fixed debian/rules to prevent ./configure running twice

  [ Bernd Zeimetz ]
  * New upstream snapshot
  * removing non-existing files from debian/copyright
  * Spliting -data package from the single one.
  * Dropping CDBS in favor of a useful rules file. Switching back to my
    original rules file, also including some (yet untested) lines to
    move arch-indep. content into navit-data.

 -- Gilles Filippini <gilles.filippini@free.fr>  Sun, 22 Feb 2009 15:34:42 +0100

navit (0.1.1.~svn2051-4) unstable; urgency=low

  * Removed glib from upstream (not needed).
  * Removed mini libc from upstream (no copyright statement; not used).
  * Enabled qt painter support
  * Enabled libgd support
  * Enabled postgresql support for osm2navit
  * debian/README.source:
    + ezxml license (MIT)
    + glib removal
    + mini libc removal
    + updated TO-DOs
  * debian/control:
    + Depends: added libdbus-glib-1-dev, libgd2-xpm-dev, libqt4-dev, libpq-dev
  * debian/rules:
    + configure: --enable-graphics-gd --disable-binding-python (broken)
  * New Patches:
    + remove-glib
    + remove-mini-libc

 -- Gilles Filippini <gilles.filippini@free.fr>  Sat, 21 Feb 2009 22:31:33 +0100

navit (0.1.1.~svn2051-3) unstable; urgency=low

  * Removed navit/fonts from upstream branch since ttf-liberation is in
    Debian.
  * debian/control:
    + Build-Depends:
      - added cvs, automake, mdbtools-dev, libfreetype6-dev,
        libfontconfig1-dev, ttf-liberation, libhildon-1-dev
      - removed libgarmin-dev, libcegui-mk2-dev
  * debian/README.source:
    + Updated TO-DOs

 -- Gilles Filippini <gilles.filippini@free.fr>  Fri, 20 Feb 2009 21:26:56 +0100

navit (0.1.1.~svn2051-2) unstable; urgency=low

  * debian/README.source:
    + added a section do deal with svn/git handling of the source package.
    + pasted the quilt README.source to explain how to modify the upstream
      source code
    + (required by policy 3.8.0, §4.14).

 -- Gilles Filippini <gilles.filippini@free.fr>  Wed, 18 Feb 2009 21:23:53 +0100

navit (0.1.1.~svn2051-1) unstable; urgency=low

  * New upstream snapshot.

  * Moved the packaging on alioth and merged there with bzed's package:
    + debian/copyright: added bzed
    + debian/control:
      - Section: moved to misc
      - Depends:
        . Removed librsvg2-common (unused)
        . Moved gpsd to Recommends:
      - Description:
        . Merged short description with bzed's
        . Typo: It's -> Its
      - Added git related stanzas
    + debian/rules:
      - Merged configure flags with bzed's
      - Removed get-orig-source (not needed anymore)
      - Updated to run autogen.sh
    + patches:
      - Added remove-libmdb.diff from bzed
      - Removed clean_pngs.autoreconf: not used anymore

 -- Gilles Filippini <gilles.filippini@free.fr>  Tue, 17 Feb 2009 23:44:23 +0100

navit (0.1.1.~svn2032-1) unstable; urgency=low

  * New upstream release.

  * debian/rules:
    + Switched to CDBS
  * debian/copyright:
    + Reworked to conform to revision 437 of CopyrightFormat proposal
      available at http://wiki.debian.org/Proposals/CopyrightFormat
  * debian/README.source:
    + New file to keep track of packaging related issues
  * debian/control:
    + Set myself as the maintainer
    + Bumped standard version to 3.8.0
    + Depends:
      - Added cdbs, quilt, libsdl-image1.2-dev
      - Replaced kdelibs4-dev with (librsvg2-bin|inkscape|kdebase-runtime|
        kdelibs4-dev) to provides at least one of the svg to png converter
        looked for by ./configure.in
  * debian/changelog:
    + Temporary change of the versioning scheme since I started erromeously
      with 0.1.1+svnNNNN instead of 0.1.1~svnNNNN. I've added an extra dot
      (0.1.1.~svnNNNN) until 0.1.1 is released.
  * debian/navit.pl: removed since unused
  * debian/navit.init:
    + issues 'echo 2 > /proc/cpu/alignment' at boot time
  * Patches:
    + clean_pngs: remove generated png files during distclean-local so that
      the package can afford two builds in a row.
    + clean_pngs.autoreconf: modified Makefile.in from clean_pngs patch

 -- Gilles Filippini <gilles.filippini@free.fr>  Fri, 13 Feb 2009 01:50:54 +0100

navit (0.1.1+svn2023-1) unstable; urgency=low

  * New upstream snapshot
  * debian/control: Depends: added libtool
  * debian/rules:
    + copy ltmain.sh from libtool
    * tweak the targets so that several builds in a row succeed

 -- Gilles Filippini <gilles.filippini@free.fr>  Sat, 07 Feb 2009 12:07:03 +0100

navit (0.1.1+svn1966-1) unstable; urgency=low

  * New upstream snapshot
  * debian/rules: CFLAGS: removed -g
  * debian/control: Depends: added autotools-dev, cvs

 -- Gilles Filippini <gilles.filippini@free.fr>  Sat, 24 Jan 2009 14:51:21 +0100

navit (0.1.1+svn1873-1) unstable; urgency=low

  * New upstream snapshot
  * debian/rules:
    + Added configure option --enable-svg2png-scaling-flag="8 16 32 48 96" to
      enable country flag icons.
  * debian/control:
    + Build-Depends: kdelibs4-dev to enable country flag SVGs conversion to
      PNG files.

 -- Gilles Filippini <gilles.filippini@free.fr>  Tue, 30 Dec 2008 00:00:07 +0100

navit (0.1.1+svn1865-1) unstable; urgency=low

  * New upstream snapshot
  * Rearranged source package to match the standard with a orig.tar.gz
    pristine source tree and a diff.gz debian patch.

 -- Gilles Filippini <gilles.filippini@free.fr>  Mon, 29 Dec 2008 11:12:02 +0100

navit (0.1.1+svn1863-1) unstable; urgency=low

  * New upstream snapshot
  * debian/control:
    + Depends: librsvg2-common

 -- Gilles Filippini <gilles.filippini@free.fr>  Sun, 28 Dec 2008 21:52:39 +0100

navit (0.1.0+svn1857-1) unstable; urgency=low

  * New upstream snapshot

 -- Gilles Filippini <gilles.filippini@free.fr>  Sun, 28 Dec 2008 11:42:04 +0100

navit (0.1.0+svn1843-1) unstable; urgency=low

  * New upstream snapshot
  * Removed the navit.pl wrapper script which is too specific for openmoko.
  * debian/control:
    + removed gdsd version reference to enable fso-gpsd

 -- Gilles Filippini <gilles.filippini@free.fr>  Tue, 23 Dec 2008 00:52:01 +0100

navit (0.0.4+svn1229-3) unstable; urgency=low

  * fixed a small bug in navit.pl: delete LC_ALL from the environment, instead
    of only undefining it.

 -- Carsten Wolff <carsten@yet-another-geek.org>  Sat, 25 Oct 2008 21:07:46 +0200

navit (0.0.4+svn1229-2) unstable; urgency=low

  * Added new startup script. This script will:
    - check, if gpsd is running and try to start it
    - if it fails, it will run dpkg-reconfigure gpsd
    - check, if a navit.xml exists in the user's home
    - if not, create one and download an osm map, the user selects from a list

 -- Carsten Wolff <carsten@yet-another-geek.org>  Thu,  6 Sep 2008 18:30:23 +0200

navit (0.0.4+svn1229-1) unstable; urgency=low

  * New upstream snapshot

 -- Carsten Wolff <carsten@yet-another-geek.org>  Thu, 24 Jul 2008 00:25:53 +0200

navit (0.0.4+svn1205-1) unstable; urgency=low

  * New upstream snapshot
  * enabled garmin map support

 -- Carsten Wolff <carsten@yet-another-geek.org>  Sat, 12 Jul 2008 17:43:36 +0200

navit (0.0.4+cvs20080525-2) unstable; urgency=low

  * put a wrapper in place of the navit binary to take care of setting the
    right environment for navit

 -- Carsten Wolff <carsten@yet-another-geek.org>  Mon, 26 May 2008 19:02:13 +0200

navit (0.0.4+cvs20080525-1) unstable; urgency=low

  * New cvs version

 -- Carsten Wolff <carsten@yet-another-geek.org>  Mon, 26 May 2008 14:58:50 +0200

navit (0.0.4+cvs20080419-1) unstable; urgency=low

  * todays CVS version
  * added some dependencies

 -- Carsten Wolff <carsten@yet-another-geek.org>  Sat, 19 Apr 2008 18:37:24 +0200

navit (0.0.4+cvs20080418-1) unstable; urgency=low

  * Initial release

 -- Carsten Wolff <carsten@yet-another-geek.org>  Fri, 18 Apr 2008 23:28:24 +0200
